Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXss runtime library
Name: 		libXScrnSaver
Version: 	1.2.1
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

%description
X.Org X11 libXss runtime library

%package devel
Summary: 	X.Org X11 libXScrnSaver development package
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3

# xorg-x11-proto-devel is required by xscrnsaver.pc
Requires: 	xorg-x11-proto-devel
# NOTE: libX11-devel, libXext-devel were added to work around bug (#176674)
Requires: 	libX11-devel
Requires: 	libXext-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXss development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
# FIXME: XScrnSaver.c:429: warning: dereferencing type-punned pointer will break strict-aliasing rules
export CFLAGS="$CFLAGS -fno-strict-aliasing"
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%{_libdir}/libXss.so.1
%{_libdir}/libXss.so.1.*

%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXss.a
%endif
%{_libdir}/libXss.so
%{_libdir}/pkgconfig/xscrnsaver.pc
%{_includedir}/X11/extensions/scrnsaver.h
%{_mandir}/man3/XScreenSaverAllocInfo.3.gz
%{_mandir}/man3/XScreenSaverGetRegistered.3.gz
%{_mandir}/man3/XScreenSaverQueryExtension.3.gz
%{_mandir}/man3/XScreenSaverQueryInfo.3.gz
%{_mandir}/man3/XScreenSaverQueryVersion.3.gz
%{_mandir}/man3/XScreenSaverRegister.3.gz
%{_mandir}/man3/XScreenSaverSelectInput.3.gz
%{_mandir}/man3/XScreenSaverSetAttributes.3.gz
%{_mandir}/man3/XScreenSaverSuspend.3.gz
%{_mandir}/man3/XScreenSaverUnregister.3.gz
%{_mandir}/man3/XScreenSaverUnsetAttributes.3.gz
%{_mandir}/man3/Xss.3.gz

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- version update
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-2
- rebuilt
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-3
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-2
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.1.3-1
- Version update
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.1.0-1
- Initial release
